CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::MatMulDescBuilder_v8 Class Reference

`#include <cudnn_frontend_MatMulDesc.h>`

Collaboration diagram for cudnn_frontend::MatMulDescBuilder_v8:

## Public Member Functions
auto | setMathPrecision (cudnnDataType_t data_type_) -> MatMulDescBuilder_v8 &
| Set Math Precision Data Type for the Matmul Operation. More...
MatMulDesc_v8 && | build ()
| MatMulDescBuilder_v8 ()=default
| ~MatMulDescBuilder_v8 ()=default
| MatMulDescBuilder_v8 (MatMulDescBuilder_v8 &&)=delete
| MatMulDescBuilder_v8 (MatMulDescBuilder_v8 const &)=delete
MatMulDescBuilder_v8 & | operator= (MatMulDescBuilder_v8 const &)=delete

## Private Attributes
MatMulDesc_v8 | m_matMulDesc

## Detailed Description

MatMulDescBuilder_v8 Class Helper class used to build MatMulDesc_v8 class

Definition at line 76 of file cudnn_frontend_MatMulDesc.h.

## Constructor & Destructor Documentation

## ◆ MatMulDescBuilder_v8() [1/3]

cudnn_frontend::MatMulDescBuilder_v8::MatMulDescBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~MatMulDescBuilder_v8()

cudnn_frontend::MatMulDescBuilder_v8::~MatMulDescBuilder_v8 | ( |  | ) |
| default

## ◆ MatMulDescBuilder_v8() [2/3]

cudnn_frontend::MatMulDescBuilder_v8::MatMulDescBuilder_v8 | ( | MatMulDescBuilder_v8 && |  | ) |
| delete

## ◆ MatMulDescBuilder_v8() [3/3]

cudnn_frontend::MatMulDescBuilder_v8::MatMulDescBuilder_v8 | ( | MatMulDescBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

MatMulDesc_v8&& cudnn_frontend::MatMulDescBuilder_v8::build | ( |  | ) |
| inline

constructs the MatMulDesc_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 93 of file cudnn_frontend_MatMulDesc.h.

References cudnn_frontend::getLogger(), cudnn_frontend::MatMulDesc_v8::MatMulDescBuilder_v8, cudnn_frontend::MatMulDesc_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

MatMulDescBuilder_v8& cudnn_frontend::MatMulDescBuilder_v8::operator= | ( | MatMulDescBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_matMulDesc

MatMulDesc_v8 cudnn_frontend::MatMulDescBuilder_v8::m_matMulDesc
| private

Definition at line 134 of file cudnn_frontend_MatMulDesc.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_MatMulDesc.h